recipientEmailAddress matches the recipient's existing email, the notification is simply resent.Note: The email field is unique per recipient. You cannot update a recipient's email to one already used by another active recipient.
actionCodeactionCode field indicates the overall result of the bulk resend operation:| Code | Result | Description |
|---|---|---|
| 00 | All Success | All transactions in the batch were processed successfully. |
| 01 | Partial Success | Mix of successful and failed transactions in the batch. |
| 02 | All Failed | All transactions in the batch failed. |
statusCode| Code | Status | Description |
|---|---|---|
| 200 | Success | API body was correct and all emails sent successfully. |
| 207 | Partial Success | API body was correct; mix of success and fail responses. |
| 400 | Bad Request | One or more required fields are missing or all emails failed. |
| 401 | Unauthorized | API session key at header was incorrect. |
| 404 | Not Found | A referenced entity was not found (see message for details). |
| 500 | Server Error | Internal server error. |
curl --location 'https://staginggateway.fintainium.com/gateway/api/payouts/batch/resendEmail' \
--header 'sessionKey: YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data-raw '{
"businessId": 217819,
"recipients": [
{
"recipientInternalId": "379",
"transactionId": "1231",
"recipientEmailAddress": "abc@xyz.com"
},
{
"recipientInternalId": "380",
"transactionId": "1232",
"recipientEmailAddress": "abc2@xyz.com"
},
{
"recipientInternalId": "381",
"transactionId": "1233",
"recipientEmailAddress": "abc3@xyz.com"
}
]
}'{
"statusCode": 200,
"actionCode": "00",
"message": "3 emails sent successfully",
"failedCount": 0,
"failedMessageList": [],
"successCount": 3,
"transactions": [
{ "transactionId": "1231", "status": "sent" },
{ "transactionId": "1232", "status": "sent" },
{ "transactionId": "1233", "status": "sent" }
],
"transmissionDateTime": "2023-08-30T06:10:13.505+00:00"
}